Name:         xenner
License:      GPLv2+
Version:      0.41
Release:      1%{?dist}
Summary:      Xen emulator for kvm
Group:        Applications/Emulators
Source:       %{name}-%{version}.tar.gz
URL:          http://dl.bytesex.org/releases/%{name}/%{name}-%{version}.tar.gz
Requires:     xen
Buildroot:    %{_tmppath}/root-%{name}-%{version}-%{release}
ExclusiveArch: i386 i686 x86_64
BuildRequires: xen-devel
BuildRequires: e2fsprogs-devel
BuildRequires: libaio-devel
BuildRequires: zlib-devel
BuildRequires: python util-linux-ng
BuildRequires: /usr/include/gnu/stubs-32.h

%description
xenner is a utility which is able to boot xen paravirtualized kernels,
without the xen hypervisor, using kvm instead.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
CFLAGS="${CFLAGS//-fstack-protector/}"	# incompatible
make prefix="%{_prefix}"

%install
rm -rf %{buildroot}
make prefix="%{_prefix}" DESTDIR=%{buildroot} STRIP="" install
chmod 644 vivm # make rpmlint happy (this goes to %doc)

%files
%defattr(-,root,root)
%doc COPYING
%doc README USAGE TODO MANAGEMENT NETWORKING GUEST_SUPPORT
%doc Testinstall vivm *.xml *.html *.css
%dir %{_libdir}/xenner
/etc/rc.d/init.d/xenner
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/xenner/*

%post
chkconfig --add xenner

%preun
if test "$1" = "0"; then
    chkconfig --del xenner
fi

%clean
rm -rf %{buildroot}

%changelog
* Mon Jul 21 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.41-1.fc8
- update to version 0.41
  * 64-bit smp fix merged.
  * some more minor fixes.
* Thu Jul 17 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.40-2.fc8
- fix smp on 64-bit.
* Thu Jul 17 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.40-1.fc8
- update to version 0.40
  - fix opensuse 11 and recent pv_ops kernels.
  - don't overcommit memory, print useful oom message.
  - a bunch of internal changes.
  - usual set of small tweaks and fixes.
* Mon Jun 9 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.37-1.fc8
- update to version 0.37
  - make fedora 9 and opensuse 10.3 guests fly.
- update %doc filelist.
* Fri Jun 6 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.36-1.fc8
- update to version 0.36
  - lots of little fixes and tweaks.
* Mon May 19 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.35-1.fc8
- update to version 0.35
  - Fix tap leak in failure path (rhbz #446138).
  - Add "info cpus" monitor command (rhb #446986).
  - Add -S command line switch (rhbz #446985).
  - Fix cpuid emulation (fixes F9 i386 install hang).
  - Some libvirt integration tweaks.
  - Misc minor fixes and improvements.
* Tue May 13 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.34-1.fc9
- update to version 0.34
  - wire up -drive cmd line arg (rhbz #445968).
  - accept & ignore -serial and -parallel (rhbz #445969).
  - implement stop & cont monitor commands (rhbz #446079).
  - implement correct iopl handling (uncrash kudzu).
  - guest irq balancing.
  - smp guest support.
  - fix tcp/udp checksumming (rhbz #443452).
  - fixed init script translation tagging (rhbz #438106).
  - fixed missing bits to make f9 pv_ops kernel boot (rhbz #439010).
  - add -bootloader cmd line option, add docs (rhbz #435061).
  - use kvms in-kernel lapic/ioapic for irqs and events.
  - use separate threads for I/O handling and vcpus.
  - fixed cr4 setup for mmx/sse support (rhbz #441902).
  - misc fixes.
* Fri Jan 25 2008 Gerd Hoffmann <kraxel@redhat.com> - 0.23-1.fc8
- initial release.
